unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ExtCtrls, TeeProcs, TeEngine, Chart, DbChart, DBClient,
  StdCtrls, Series, Grids, DBGrids, ADODB;

type
  TForm1 = class(TForm)
    Button1: TButton;
    DBChart1: TDBChart;
    DBGrid1: TDBGrid;
    Series1: TLineSeries;
    Series2: TLineSeries;
    DataSource1: TDataSource;
    Button2: TButton;
    Edit1: TEdit;
    Series3: TLineSeries;
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    ADOTable1SEQNO: TAutoIncField;
    ADOTable1CDATETIME: TDateTimeField;
    ADOTable1DEFORMITY: TFloatField;
    ADOTable1TEMPERATURE: TFloatField;
    ADOTable1CDEFORMITY: TFloatField;
    Series4: TLineSeries;
    ADOTable1DEFORMITY2: TFloatField;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ADOTable1CalcFields(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ADOTable1.Close;
  ADOTable1.OPEN;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  MV : Double;
begin
  if TryStrToFloat(Edit1.Text,MV) then
    begin
      with ADOTable1 do
        begin
          First;
          while not Eof do
            begin
              try
                Edit;
                Next;
              finally
              end;
            end;
        end;
    end;
end;

procedure TForm1.ADOTable1CalcFields(DataSet: TDataSet);
var
  MV : Double;
begin
  if not TryStrToFloat(Edit1.Text,MV) then
    Mv := 0;
  DataSet.FieldByName('DEFORMITY1').AsFloat := DataSet.FieldByName('DEFORMITY').AsFloat + MV;
  DataSet.FieldByName('DEFORMITY2').AsFloat := DataSet.FieldByName('DEFORMITY').AsFloat + MV * 2;
end;

end.
